%define name perl-String-ShellQuote
%define version 1.00
%define release 7mdk

Summary: Perl String::ShellQuote - quote strings for passing through the shell
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source: http://www.perl.com/CPAN-local/authors/id/R/RO/ROSCH/String-ShellQuote-%{version}.tar.bz2
URL: http://www.cpan.org/modules/by-module/URI/ROSCH/String-ShellQuote-1.00.readme
BuildRequires: perl-devel
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module contains some functions which are useful for quoting strings
which are going to pass through the shell or a shell-like object.

%prep
%setup -q -n String-ShellQuote-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorlib}/String

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 14 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.00-7mdk
- fix DIRM: file ShellQuote.pm /usr/lib/perl5/vendor_perl/5.8.1/String/ 

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.00-6mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-5mdk
- rebuild for new auto{prov,req}

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.00-4mdk
- rebuild for perl 5.8.0

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.00-3mdk
- add dependency on perl with version
- fix no-url-tag

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.00-2mdk
- BuildRequires: perl-devel

* Fri Sep 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.00-1mdk
- first Mandrake RPM
